| IDA SDK

Public Attributes | Public Member Functions | List of all members
bpt_t Struct Reference
Debugger functions » Breakpoints

## Detailed Description

Characteristics of a breakpoint.

## Public Attributes
size_t | cb
| size of this structure
qstring | cndbody
| Condition as entered by the user.
bpt_location_t | loc
| Location.
pid_t | pid
| breakpoint process id
thid_t | tid
| breakpoint thread id
ea_t | ea
| Address, if known. For BPLT_SRC, index into an internal data struct.
bpttype_t | type
| Breakpoint type.
int | pass_count
| Number of times the breakpoint is hit before stopping (default is 0: stop always)
uint32 | flags
| Breakpoint property bits
uint32 | props
| Internal breakpoint properties
int | size
| Size of the breakpoint (0 for software breakpoints)
int | cndidx
| Internal number of the condition (<0-none)
inode_t | bptid
| Internal breakpoint id.

## Public Member Functions
bool | is_hwbpt (void) const
| Is hardware breakpoint?
bool | enabled (void) const
| Is breakpoint enabled?
bool | is_low_level (void) const
| Is bpt condition calculated at low level?
bool | badbpt (void) const
| Failed to write bpt to process memory?
bool | listbpt (void) const
| Include in the bpt list?
bool | is_compiled (void) const
| Condition has been compiled?
bool | is_active (void) const
| Written completely to process?
bool | is_partially_active (void) const
| Written partially to process?
bool | is_inactive (void) const
| Not written to process at all?
bool | is_page_bpt (void) const
| Page breakpoint?
int | get_size (void) const
| Get bpt size.
void | set_abs_bpt (ea_t a)
| Set bpt location to an absolute address.
void | set_src_bpt (const char *fn, int lineno)
| Set bpt location to a source line.
void | set_sym_bpt (const char *sym, uval_t o)
| Set bpt location to a symbol.
void | set_rel_bpt (const char *mod, uval_t o)
| Set bpt location to a relative address.
bool | is_absbpt (void) const
| Is absolute address breakpoint?
bool | is_relbpt (void) const
| Is relative address breakpoint?
bool | is_symbpt (void) const
| Is symbolic breakpoint?
bool | is_srcbpt (void) const
| Is source level breakpoint?
bool | is_tracemodebpt (void) const
| Does breakpoint trace anything?
bool | is_traceonbpt (void) const
| Is this a tracing breakpoint, and is tracing enabled?
bool | is_traceoffbpt (void) const
| Is this a tracing breakpoint, and is tracing disabled?
bool | set_trace_action (bool enable, int trace_types)
| Configure tracing options.
const char * | get_cnd_elang () const
| Get the scripting language name for the condition string.
bool | set_cnd_elang (const char *name)
| Set the scripting language name for the condition string. More...
size_t | get_cnd_elang_idx () const
void | set_cond (const char *cnd)
| Internal function.
bool | eval_cond (ea_t ea, bool *fire, const char *bpt_type)
| Internal function.

## Member Function Documentation

## ◆ set_cnd_elang()

bool bpt_t::set_cnd_elang | ( | const char * | name | ) |
| inline

Set the scripting language name for the condition string.

Returns
  false if too many languages were used

The documentation for this struct was generated from the following file:

- dbg.hpp